Retrieve Invoice
const options = {
method: 'GET',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>'
}
};
fetch('https://api.runmorph.dev/v1/resources/accountingInvoice/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.runmorph.dev/v1/resources/accountingInvoice/{resourceId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--header 'x-connector-id: <api-key>' \
--header 'x-owner-id: <api-key>' \
--header 'x-session-token: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/resources/accountingInvoice/{resourceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("x-connector-id", "<api-key>")
req.Header.Add("x-owner-id", "<api-key>")
req.Header.Add("x-session-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/resources/accountingInvoice/{resourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>",
"x-connector-id: <api-key>",
"x-owner-id: <api-key>",
"x-session-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/resources/accountingInvoice/{resourceId}"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"x-connector-id": "<api-key>",
"x-owner-id": "<api-key>",
"x-session-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.runmorph.dev/v1/resources/accountingInvoice/{resourceId}")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("x-connector-id", "<api-key>")
.header("x-owner-id", "<api-key>")
.header("x-session-token", "<api-key>")
.asString();{
"object": "resource",
"model": "<string>",
"id": "<string>",
"fields": {
"invoiceCode": "<string>",
"currency": "<string>",
"preTaxAmount": 1,
"taxAmount": 1,
"totalAmount": 1,
"inclusiveOfTax": true,
"balance": 1,
"customerContact": {
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"customerCompany": {
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"issuedAt": "<string>",
"dueAt": "<string>",
"paidAt": "<string>",
"lineItems": [
{
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"note": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"remote": {
"id": "<string>"
},
"rawResource": null,
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"message": ""
}Retrieve Invoice
GET
/
v1
/
resources
/
accountingInvoice
/
{resourceId}
Retrieve Invoice
const options = {
method: 'GET',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>'
}
};
fetch('https://api.runmorph.dev/v1/resources/accountingInvoice/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Path Parameters
Query Parameters
Available options:
invoiceCode, customerContact, customerCompany, issuedAt, dueAt, paidAt, status, lineItems, currency, preTaxAmount, taxAmount, totalAmount, inclusiveOfTax, balance, note Available options:
invoiceCode, customerContact, customerCompany, issuedAt, dueAt, paidAt, status, lineItems, currency, preTaxAmount, taxAmount, totalAmount, inclusiveOfTax, balance, note ⌘I